#ifndef DIPLAY_H
#define DIPLAY_H


#define TOP 0 
#define NUM_SIZ 18 
#define NUM1 14
#define NUM2 NUM1+NUM_SIZ
#define NUM3 NUM1+NUM_SIZ+NUM_SIZ
#define NUM4 NUM1+NUM_SIZ+NUM_SIZ+NUM_SIZ
#define BOTTOM 54
#define LEFT 0 
#define CENTER 64-30
#define RIGHT 84

// Channel Data Struct
typedef struct {
  float min;       // minimum set value
  float max;      // maximum set value 
  float value;
  unsigned char xPos;      // Overall pos
  unsigned char yPos;
  unsigned char uPos;      // Units x Position
  unsigned char size;
  short cursor;           // Signed to allow compare < 0
  char *label;           // Measure Label
  char *units;

 } DispTypeDef;

DispTypeDef disp[9];





#endif  //DIPLAY_H